### Method

# Gtk Button set_has_frame

#### Declaration [src]

    void
    gtk_button_set_has_frame (
      GtkButton* button,
      gboolean has_frame
    )

#### Description [src]

Sets the style of the button.

Buttons can has a flat appearance or have a frame drawn around them.

Sets property | `Gtk.Button:has-frame`

#### Parameters

`has_frame` | `gboolean`
| Whether the button should have a visible frame.